Bug 501134 - Review Request: rubygem-mongrel_cluster - GemPlugin wrapper for the mongrel HTTP server
Review Request: rubygem-mongrel_cluster - GemPlugin wrapper for the mongrel H...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Osowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 17:35 EDT by Robert Scheck
Modified: 2009-06-02 10:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-30 06:40:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
th0br0: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2009-05-16 17:35:36 EDT
Spec URL: http://labs.linuxnetz.de/bugzilla/rubygem-mongrel_cluster.spec
SRPM URL: \
http://labs.linuxnetz.de/bugzilla/rubygem-mongrel_cluster-1.0.5-1.src.rpm
Description:
Mongrel_cluster is a GemPlugin that wrappers the mongrel HTTP server and
simplifies the deployment of webapps using a cluster of mongrel servers.
Mongrel_cluster will conveniently configure and control several mongrel
servers or groups of mongrel servers, which are then load balanced using
a reverse proxy solution.
Comment 1 Andreas Osowski 2009-05-24 13:11:05 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [!] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: 
       [x] F10/i386 
 [!] Rpmlint output:
     Source RPM:
	[makerpm@hattan rubygem-mongrel_cluster]$ rpmlint rubygem-mongrel_cluster-1.0.5-1.fc10.src.rpm 
	1 packages and 0 specfiles checked; 0 errors, 0 warnings.

     Binary RPM(s):
	[makerpm@hattan rubygem-mongrel_cluster]$ rpmlint rubygem-mongrel_cluster-1.0.5-1.fc10.noarch.rpm 
	rubygem-mongrel_cluster.noarch: W: no-reload-entry /etc/rc.d/init.d/mongrel_cluster
	rubygem-mongrel_cluster.noarch: E: subsys-not-used /etc/rc.d/init.d/mongrel_cluster
	rubygem-mongrel_cluster.noarch: W: incoherent-init-script-name mongrel_cluster
	1 packages and 0 specfiles checked; 1 errors, 2 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
 %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined   in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv2 or Ruby
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file,     containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided 
     in the spec URL.
     SHA1SUM of package: 7ff77538842c97b363137c471903f7e3
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that 
     are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI 
     application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains 
     translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: F10/i386
 [-] Package should compile and build into binary rpms on all supported 
     architectures.
     Tested on: -
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.  

Remaining issues:
	Fix the init script issues, we can ignore the incoherent-init-script-name, but the other two should be 	fixed

	Each Ruby package must indicate the Ruby ABI version it depends on with a line like
	Requires: ruby(abi) = 1.8
	
	Install docs to /usr/share/doc/<package name>-<version>/ rather than the respective rubygems path
	
According to the Homepage, mongrel_cluster >= 0.2.0 is required. I take it that this mongrel_cluster is this package? Otherwise, railsmachine (the project linked to when clicking on mongrel_cluster) has not yet been packaged.
Comment 2 Robert Scheck 2009-05-24 13:22:56 EDT
I can't see a pointer in https://fedoraproject.org/wiki/Packaging/Ruby for
using %doc rather rubygems path for documentation.

Upstream is a bit confusing, you don't need railsmachine, mongrel_cluster as
it is packaged here, works and has all the features already.
Comment 3 Mamoru TASAKA 2009-05-24 13:30:47 EDT
Well, we usually leaves documents installed under %geminstdir
as they are and does not move them to %_defaultdocdir.
Comment 4 Andreas Osowski 2009-05-24 14:13:41 EDT
Oh, okay.
I was unsure about that as rubygem-sqlite3-ruby had them installed in %_defaultdocdir (installed there by default anyway) 

Thanks for clearing that up, it was not listed on the wiki page
Comment 5 Robert Scheck 2009-05-24 19:03:56 EDT
How to handle subsys, if the initscript starts for each configuration file an
own cluster (bunch of processes)? Note that each "cluster" can be independet
of the other clusters started and stopped. When looking around, there's either 
broken subsys handling (subsys created if only one/all is started/stopped) or 
simply none if a similar behaviour exists. Ideas?
Comment 7 Andreas Osowski 2009-05-29 07:38:39 EDT
Sorry for the delay,


PACKAGE APPROVED
Comment 8 Robert Scheck 2009-05-29 07:49:02 EDT
No problem, thank you for the review.


New Package CVS Request
=======================
Package Name: rubygem-mongrel_cluster
Short Description: GemPlugin wrapper for the mongrel HTTP server
Owners: robert
Branches: EL-5 F-10 F-11
InitialCC:
Comment 9 Jason Tibbitts 2009-05-29 11:32:52 EDT
CVS done.
Comment 10 Fedora Update System 2009-05-30 06:38:07 EDT
rubygem-mongrel_cluster-1.0.5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rubygem-mongrel_cluster-1.0.5-2.fc10
Comment 11 Fedora Update System 2009-05-30 06:39:00 EDT
rubygem-mongrel_cluster-1.0.5-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-mongrel_cluster-1.0.5-2.fc11
Comment 12 Robert Scheck 2009-05-30 06:40:58 EDT
Package: rubygem-mongrel_cluster-1.0.5-2.fc12 Tag: dist-f12 Status: complete
Package: rubygem-mongrel_cluster-1.0.5-2.fc11 Tag: dist-f11-updates-candidate Status: complete
Package: rubygem-mongrel_cluster-1.0.5-2.fc10 Tag: dist-f10-updates-candidate Status: complete

2426 (rubygem-mongrel_cluster): Build on target fedora-5-epel succeeded.
Comment 13 Fedora Update System 2009-06-02 10:32:17 EDT
rubygem-mongrel_cluster-1.0.5-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-06-02 10:34:48 EDT
rubygem-mongrel_cluster-1.0.5-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.